<?php

namespace Controller;

use Cache\BoutiqueCache;
use Boutique;
use Exception;
use Cms;

/**
 * Class FooterController
 *
 * @package Controller
 */
class FooterController extends Controller
{

    /**
     * @return \Symfony\Component\HttpFoundation\Response
     * @throws Exception
     * @throws \SmartyException
     */
    public function display()
    {

        $cms = new Cms;
        $phpCache = new BoutiqueCache();

        $boutique = Boutique::getInstance();
        $lgId = $boutique->getLangue()->id;

        $arrFooter = $phpCache->get('arrFooter_'. $lgId . '_' . $boutique->id);
        if ($arrFooter === false) {
            $cms_pos = $cms->getPosition(array('menu_position_id' => Cms::POSITION_FOOTER));
            $arrFooter = array();

            foreach ($cms_pos as $row) {
                $arrFooter[$row['cms_menu_id']] = $row;
                $arrFooter[$row['cms_menu_id']]['pages'] = $cms->getMenu(['menu_position_id' => $row['cms_menu_id']]);
            }
            $phpCache->create('arrFooter_'. $lgId . '_' . $boutique->id, $arrFooter);
        }

        $this->template->assign('arrFooter', $arrFooter);

        //récupère les crédits
        $arrCredits = $cms->getMenu(array('menu_position_id' => Cms::M_CREDITS));
        $this->template->assign('arrCredits', $arrCredits);

        $texte = new \Texte();
        $demande_catalogue_html = $texte->getOne('demande_catalogue_html');
        $this->template->assign('demande_catalogue_html', $demande_catalogue_html);

        try {
            $configSocial = Boutique::getInstance()->getConfig('social');
            $this->template->assign('config_social', $configSocial);
        } catch (Exception $e) {

        }

        try {
            $config = Boutique::getInstance()->getConfig('social');
            $this->template->assign('social', $config);
        } catch (Exception $e) {

        }

        return $this->fetch('parts/footer.tpl');
    }

    /**
     * @return \Symfony\Component\HttpFoundation\Response
     *
     * @throws \Exception
     * @throws \SmartyException
     */
    public function reinsurance()
    {
        $cms = new Cms();
        $arrReassurance = $cms->getPageAssoc(array('cms_menu_id' => Cms::M_REASSURANCE));
        $this->template->assign('arrReassurance', $arrReassurance);

        return $this->fetch('parts/reinsurance.tpl');
    }
}
