<?php

namespace Form;

use Form\Constraint\Mail;
use Form\Constraint\NotBlank;

class LoginForm extends Form
{
    function __construct()
    {
        parent::__construct();

        $this
            ->add(
                new Field(
                    "client_email",
                    array(
                        "not_empty" => new NotBlank(),
                        "is_mail" => new Mail(),
                    ),
                    array(
                        "not_empty" => "Vous devez remplir votre email.",
                        "is_mail" => "Vous devez utiliser un email correct.",
                    )
                )
            )
            ->add(
                new Field(
                    "client_password",
                    array(
                        "not_empty" => new NotBlank(),
                    ),
                    array(
                        "not_empty" => "Vous devez remplir un mot de passe."
                    )
                )
            )
        ;
    }
}